Subject: RE: [Enum] draft-ietf-enum-void-02 --> First Question - Agreement onProblem Statement?

From: "Michael Hammer \(mhammer\)" <[email-masked]>
Date: Tue, 7 Nov 2006 11:33:40 -0500

It's a question of pay me now or pay me later.

Do SP's want to pay the cost in an ENUM response, or a failed PSTN GW
call?

I would argue that handling in ENUM would be much, much more efficient,
since it won't involve setting up media to a PSTN GW, the added gateway
control signaling, and possibly occupation of otherwise useful trunk
capacity, just to find out the number is not assigned.

Mike

> -----Original Message-----
> From: Livingood, Jason [mailto:[email-masked]] 
> Sent: Monday, November 06, 2006 7:15 PM
> To: [email-masked]
> Subject: RE: [Enum] draft-ietf-enum-void-02 --> First 
> Question - Agreement onProblem Statement?
> 
> >    What would be useful is a mechanism "between" a registration 
> > holding
> >    NAPTRs with URIs and the lack of a domain registration.  
> > In this way,
> >    an entity who is responsible for E.164 numbers in a range can
> >    indicate that a particular number has not been assigned 
> to anyone 
> > for
> >    communications service.  For example, if a communications service
> >    provider has been allocated responsibility for 
> delivering calls to
> >    endpoints identified with E.164 numbers in a block, then they may
> >    have some numbers in that block that are currently unused.  These
> >    E.164 numbers are not used to terminate calls to end users.
> 
> So from this, I would understand the problem as such -
> 
> A service provider has a number block of, for example, 
> +1-215-981-XXXX, where XXXX is -0000 to -9999.  That SP has 
> issued 50% of these numbers to individual subscribers and the 
> other 50% have not been.  These are not neatly distributed 
> within the block, as subscribers choose their numbers so the 
> active numbers end up being randomly distributed in the block. 
> 
> If the SP registers SIP URIs for all of the active TNs then 
> those calls will work and terminate just fine.  If a TN is 
> not registered then, since it is inactive, then if a person 
> dials one of the unregistered TNs then you have to wait for 
> NXDOMAIN response.  In that case, most softswitches / proxies 
> will then do legacy lookups (LNP, LERG, etc.).
> The downside is two-fold: greater post-dial delay than is 
> necessary, and having to rely on legacy call lookup tools 
> (which may have associated costs).  There should be a way 
> instead to stop the call routing progression immediately if 
> you know that the TN is inactive, thus triggering back the 
> code for a number not in service network announcement to a caller.
> 
> Is this a correct understanding of one of the issues the 
> authors are trying to identify in the problem statement?
> 
> Jason
> 
> _______________________________________________
> enum mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/enum
> 

_______________________________________________
enum mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/enum

---

From: Bob Bownes <[email-masked]>
Date: Tue, 7 Nov 2006 14:09:20 -0500 (EST)

While fundamentally I agree returning something now rather than nothing
later and avoiding PDD is a Good Thing, I wonder if this means we either
have to make the DNS server ENUM aware (I see a NULL URI, so return
NXDOMAIN right now) or the *all* applications NULL URI aware (I see a NULL
URI and know what to do with it).